package dsuzduotis;


import java.io.Serializable;
import java.util.Objects;

/*
    A JavaBean is a Java object that satisfies certain programming conventions:
    - The JavaBean class must implement either Serializable
    - The JavaBean class must have a no-arg constructor
    - All JavaBean instance variables should be private
    - All JavaBean properties must have public setter and getter methods
*/

public class Sandelys implements Serializable, Comparable {

    private int kodas;
    private float data;
    private int inOut;
    private int pavadinimas;
    private int kiekis;
    
    public Sandelys() {}
    
        
    @Override
    public String toString() { 
        return "in Out - " + getInOut() 
                + "; data - " + getData() + "; kodas - " + getKodas() + "; kiekis - " + getKiekis();
    }
    
    public String toStringID() {
        return "Pavadinimas - " + getSPavadinimas() + " Telefono numeris - +" + getKodas() 
                + "; Data - " + getData() + "; InOuta - " + getInOut();
        
    }
    
    /**
     * Natural comparator
     * Compares the receiving object (this) with the specified object p1
     * @param p1
     * @return -1, 0, 1
     */
    @Override
    public int compareTo(Object p1) {
        Sandelys p = (Sandelys) p1;
        if(this.kodas > p.kodas) 
            return 1;
        else if(this.kodas < p.kodas)
            return -1;
        else 
            return 0;
    }

    // Equal objects must have equal hash codes
    // t.y. metodai equals() ir hashCode() turi buti suderinti


   
    
    // Right mouse click -> Refactor -> Encapsulate fields -> Generate Getters/Setters

    /**
     * @return the kodas
     */
    public int getKodas() {
        return kodas;
    }

    /**
     * @param kodas the kodas to set
     */
    public void setKodas(int kodas) {
     
            this.kodas = kodas;
    }

    /**
     * @return the data
     */
    public float getData() {
        return data;
    }

    /**
     * @param pavadinimas the data to set
     */
    public void setData(float data) {
        this.data = data;
    }
  
        public int getKiekis(){
        return kiekis;
    }
        
            public void setKiekis(int kiekis){
        this.kiekis = kiekis;
    }
    
    public int getInOut(){
        return inOut;
    }
    
    public void setInOut(int inOut){
        this.inOut = inOut;
    }

    public int getSPavadinimas() {
        return pavadinimas;
    }

    public void setSPavadinimas(int pavadinimas) {
        this.pavadinimas = pavadinimas;
    }

    
}
    